using Microsoft.AspNetCore.Mvc;
using Props.Models.Search;
using Props.Services.Modules;

namespace Props.Controllers
{
    public class SearchController : ApiControllerBase
    {
        private SearchOutline defaultOutline = new SearchOutline();
        IShopManager shopManager;

        public SearchController(IShopManager shopManager)
        {
            this.shopManager = shopManager;
        }

        [HttpGet]
        [Route("Available")]
        public IActionResult GetAvailableShops()
        {
            return Ok(shopManager.GetAllShopNames());
        }
    }
}