using Microsoft.AspNetCore.Mvc;
using Props.Models.Search;
using Props.Services.Modules;

namespace Props.Controllers
{
    public class SearchOutlineController : ApiControllerBase
    {
        private SearchOutline defaultOutline = new SearchOutline();


        public SearchOutlineController()
        {
        }

        [HttpGet]
        [Route("Filters")]
        public IActionResult GetFilters()
        {
            return Ok(defaultOutline.Filters);
        }

        [HttpGet]
        [Route("DisabledShops")]
        public IActionResult GetDisabledShops()
        {
            return Ok(defaultOutline.Enabled);
        }

        [HttpGet]
        [Route("SearchOutlineName")]
        public IActionResult GetSearchOutlineName()
        {
            return Ok(defaultOutline.Name);
        }
    }
}